POST api/ScheduleReport/SaveReport
Request Information
URI Parameters
None.
Body Parameters
ReportDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
String length: inclusive between 0 and 100 |
|
| ReportTypeId | integer |
None. |
|
| FrequencyId | integer |
None. |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| OwnerEmail | string |
String length: inclusive between 0 and 50 |
|
| FrequencyType | string |
String length: inclusive between 0 and 100 |
|
| ReportTypeName | string |
String length: inclusive between 0 and 100 |
|
| IsPublished | boolean |
None. |
|
| EmailBody | string |
String length: inclusive between 0 and 4000 |
|
| ExportFileName | string |
String length: inclusive between 0 and 200 |
|
| SubjectLine | string |
String length: inclusive between 0 and 200 |
|
| MessageQueueId | integer |
None. |
|
| KeyName | string |
String length: inclusive between 0 and 250 |
|
| StartDate | date |
None. |
|
| EndDate | date |
None. |
|
| IsDataFound | boolean |
None. |
|
| CorporationName | string |
String length: inclusive between 0 and 100 |
|
| ReportTimeFrameId | integer |
None. |
|
| copyId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"Name": "sample string 2",
"ReportTypeId": 3,
"FrequencyId": 4,
"CorporationCode": "sample string 5",
"OwnerEmail": "sample string 6",
"FrequencyType": "sample string 7",
"ReportTypeName": "sample string 8",
"IsPublished": true,
"EmailBody": "sample string 10",
"ExportFileName": "sample string 11",
"SubjectLine": "sample string 12",
"MessageQueueId": 1,
"KeyName": "sample string 13",
"StartDate": "2026-08-04T14:25:29.7575097-07:00",
"EndDate": "2026-08-04T14:25:29.7575097-07:00",
"IsDataFound": true,
"CorporationName": "sample string 17",
"ReportTimeFrameId": 1,
"copyId": 18,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:29.767553-07:00",
"DateUpdated": "2026-08-04T14:25:29.767553-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfReportDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | ReportDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"Name": "sample string 2",
"ReportTypeId": 3,
"FrequencyId": 4,
"CorporationCode": "sample string 5",
"OwnerEmail": "sample string 6",
"FrequencyType": "sample string 7",
"ReportTypeName": "sample string 8",
"IsPublished": true,
"EmailBody": "sample string 10",
"ExportFileName": "sample string 11",
"SubjectLine": "sample string 12",
"MessageQueueId": 1,
"KeyName": "sample string 13",
"StartDate": "2026-08-04T14:25:29.767553-07:00",
"EndDate": "2026-08-04T14:25:29.767553-07:00",
"IsDataFound": true,
"CorporationName": "sample string 17",
"ReportTimeFrameId": 1,
"copyId": 18,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:29.767553-07:00",
"DateUpdated": "2026-08-04T14:25:29.767553-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
},
"totalCount": 3
}